Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.jasperreports.domain
Interface JndiJdbcReportDataSource

All Superinterfaces:
  org.acegisecurity.acl.basic.AclObjectIdentity, AttributedObject, DataSource, InternalURI, ReportDataSource, Resource, java.io.Serializable

All Known Implementing Classes:
  JndiJdbcReportDataSourceImpl

    public interface JndiJdbcReportDataSource

extends ReportDataSource

Version:
  $Id: JndiJdbcReportDataSource.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Method Summary
`java.lang.String` | `getJndiName()`
`java.lang.String` | `getTimezone()`
`void` | `setJndiName(java.lang.String jndiName)`
`void` | `setTimezone(java.lang.String timezone)`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Method Detail

### getJndiName

    java.lang.String getJndiName()

### setJndiName

    void setJndiName(java.lang.String jndiName)

### getTimezone

    java.lang.String getTimezone()

### setTimezone

    void setTimezone(java.lang.String timezone)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.